umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdRemoveUMLObject Class Reference

`#include <cmdremoveumlobject.h>`

Inheritance diagram for Uml::CmdRemoveUMLObject:

## Public Member Functions
| CmdRemoveUMLObject (UMLObject *o)
| ~CmdRemoveUMLObject ()
void | redo ()
void | undo ()

## Private Attributes
UMLObject * | m_obj

## Constructor & Destructor Documentation

## ◆ CmdRemoveUMLObject()

Uml::CmdRemoveUMLObject::CmdRemoveUMLObject | ( | UMLObject * | o | ) |
| explicit

Constructor.

## ◆ ~CmdRemoveUMLObject()

Uml::CmdRemoveUMLObject::~CmdRemoveUMLObject | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ redo()

void Uml::CmdRemoveUMLObject::redo | ( |  | ) |

Remove the UMLObject.

## ◆ undo()

void Uml::CmdRemoveUMLObject::undo | ( |  | ) |

Suppress the UMLObject.

## Member Data Documentation

## ◆ m_obj

UMLObject* Uml::CmdRemoveUMLObject::m_obj
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/generic/cmdremoveumlobject.h
- umbrello/cmds/generic/cmdremoveumlobject.cpp